Bug 130687 - kernel misses i915.ko drm module
Summary: kernel misses i915.ko drm module
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-23 18:38 UTC by Hans de Goede
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 2.6.8-1.533
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 10:16:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2004-08-23 18:38:27 UTC
Description of problem:
When running the latest rawhide Xorg it tries to load i915.ko as
module, but this isn't there in the latest rawhide kernel.

I fixed this by downloading the drm CVS from freedesktop.org,
compiling the i915 module from this and loading it, this works like a
charm, please include this in the FC kernel builds.

Before this I tried to use modprobe i830, instead of simply failing,
this gave me an oops when starting X:
: [drm] Initialized i830 1.3.2 20021108 on minor 0: 
: mtrr: base(0xd8020000) is not aligned on a size(0x400000) boundary
: [drm:i830_dma_initialize] *ERROR* can not find dma buffer map!
: [drm:i830_irq_emit] *ERROR* i830_irq_emit called without lock held
: Unable to handle kernel NULL pointer dereference at virtual address
00000008 

Lett me know if you want the whole oops.

Comment 1 Hans de Goede 2004-08-29 05:50:51 UTC
From fedora-devel, for people tracking this bug:

A kernel with the i915 DRM driver is now available from
http://people.redhat.com/arjanv/2.6

will also appear in tomorrows (today?) rawhide sync





Comment 2 Hans de Goede 2004-08-30 10:16:28 UTC
I just verified that the current rawhide kernel has 915 included and
working, closing.



Note You need to log in before you can comment on or make changes to this bug.